import { select } from 'd3';
import { viz } from './viz';

const container = select('#app').node();

let state = {
  x: 45,
  y: 45,
  r: 20,
};

const setState = (next) => {
  state = next(state);
  render();
};

const render = () => {
  viz(container, [state, setState]);
};

render();